javax.annotation.processing

## Annotation Type SupportedAnnotationTypes

    @Documented
    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface SupportedAnnotationTypes

An annotation used to indicate what annotation types an annotation processor supports. The `Processor.getSupportedAnnotationTypes()` method can construct its result from the value of this annotation, as done by `AbstractProcessor.getSupportedAnnotationTypes()`. Only strings conforming to the grammar should be used as values.

Since:
  1.6

### Required Element Summary

Required Elements
`String[]` `value`

### Element Detail

#### value

    public abstract String[] value

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.